Bug 219402 - [Media in GPU Process][MSE] Implement basic video playback
Summary: [Media in GPU Process][MSE] Implement basic video playback
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Peng Liu
URL:
Keywords: InRadar
Depends on: 219332
Blocks: 219658
  Show dependency treegraph
 
Reported: 2020-12-01 09:52 PST by Peng Liu
Modified: 2020-12-09 21:04 PST (History)
13 users (show)

See Also:


Attachments
WIP patch (114.39 KB, patch)
2020-12-04 22:29 PST, Peng Liu
no flags Details | Formatted Diff | Diff
WIP - fix layout test crashes (114.50 KB, patch)
2020-12-05 11:13 PST, Peng Liu
no flags Details | Formatted Diff | Diff
WIP - fix issues on youtube (116.13 KB, patch)
2020-12-05 15:49 PST, Peng Liu
no flags Details | Formatted Diff | Diff
WIP - update MockSourceBufferPrivate to fix layout test failures (116.52 KB, patch)
2020-12-05 19:36 PST, Peng Liu
no flags Details | Formatted Diff | Diff
WIP - fix build failures on GTK/WPE and layout test failures (119.04 KB, patch)
2020-12-05 23:24 PST, Peng Liu
no flags Details | Formatted Diff | Diff
Patch (121.61 KB, patch)
2020-12-06 13:17 PST, Peng Liu
no flags Details | Formatted Diff | Diff
Update the patch based on Jer's comment (119.55 KB, patch)
2020-12-08 18:43 PST, Peng Liu
no flags Details | Formatted Diff | Diff
Patch (119.58 KB, patch)
2020-12-08 20:33 PST, Peng Liu
no flags Details | Formatted Diff | Diff
Update the patch based on a discussion with Jer (116.60 KB, patch)
2020-12-09 12:12 PST, Peng Liu
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (120.37 KB, patch)
2020-12-09 16:20 PST, Peng Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peng Liu 2020-12-01 09:52:53 PST
To avoid the IPC overhead for every parsed sample, this patch depends on the patch for bug #219332.
Comment 1 Radar WebKit Bug Importer 2020-12-01 10:03:50 PST
<rdar://problem/71855190>
Comment 2 Peng Liu 2020-12-04 22:29:12 PST
Created attachment 415487 [details]
WIP patch
Comment 3 Peng Liu 2020-12-05 11:13:26 PST
Created attachment 415493 [details]
WIP - fix layout test crashes
Comment 4 Peng Liu 2020-12-05 15:49:28 PST
Created attachment 415504 [details]
WIP - fix issues on youtube
Comment 5 Peng Liu 2020-12-05 19:36:44 PST
Created attachment 415506 [details]
WIP - update MockSourceBufferPrivate to fix layout test failures
Comment 6 Peng Liu 2020-12-05 23:24:43 PST
Created attachment 415512 [details]
WIP - fix build failures on GTK/WPE and layout test failures
Comment 7 Peng Liu 2020-12-06 13:17:28 PST
Created attachment 415531 [details]
Patch
Comment 8 Peng Liu 2020-12-07 09:04:43 PST
Comment on attachment 415531 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=415531&action=review

> Source/WebCore/ChangeLog:73
> +        `SourceBufferPrivate` can figure the values of `hasAudio` and `hasVideo` because it

s/figure/figure out/g
Comment 9 Peng Liu 2020-12-08 18:36:37 PST
Had a discussion with Jer. The condition variable usage in the source buffer parser seems fragile (and unnecessary). I will upload a new patch.
Comment 10 Peng Liu 2020-12-08 18:43:02 PST
Created attachment 415699 [details]
Update the patch based on Jer's comment
Comment 11 Peng Liu 2020-12-08 20:33:04 PST
Created attachment 415705 [details]
Patch
Comment 12 Peng Liu 2020-12-09 12:12:06 PST
Created attachment 415785 [details]
Update the patch based on a discussion with Jer
Comment 13 Peng Liu 2020-12-09 16:20:22 PST
Created attachment 415810 [details]
Patch
Comment 14 Peng Liu 2020-12-09 16:20:59 PST
Comment on attachment 415810 [details]
Patch

Fix a layout test failure on WK1.
Comment 15 EWS 2020-12-09 21:04:33 PST
Committed r270612: <https://trac.webkit.org/changeset/270612>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 415810 [details].